Skip to main content
POST
Segments - Manage contacts

Authorizations

simio-api-key
string
header
required

Company API key, created in Settings > Integrations & developers > Credentials.

Path Parameters

segment_id
integer
required

ID of the segment, as returned by Create.

Example:

42

Body

application/json
contacts
string[]
required

Phone numbers to add or remove (up to 1000 per request). When use_hashed_phone is true, these must be SHA-256 hex digests of the phone numbers instead of raw phone numbers.

Maximum string length: 64
Example:
mode
enum<string>
required

Whether to add or delete the given contacts from the segment.

Available options:
add,
delete
Example:

"add"

use_hashed_phone
boolean
default:false

If true, contacts contains SHA-256 hex digests of phone numbers rather than raw phone numbers.

Example:

false

Response

Successful Response

contacts_found
integer
required

Number of those contacts that exist in Simio.

Example:

2

contacts_not_found
integer
required

Number of those contacts that don't exist in Simio.

Example:

1

contacts_processed
integer
required

Number of contacts added to or removed from the segment.

Example:

2

contacts_provided
integer
required

Number of distinct contacts in the request.

Example:

3

mode
enum<string>
required

Operation that was applied.

Available options:
add,
delete
Example:

"add"

segment_id
integer
required

ID of the segment.

Example:

42